<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<title>Play jQuery</title>
		<script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

		<script>
			function clicked() { alert('I was clicked'); }

			function User(firstName, lastName, age) {
				this.firstName = firstName;
				this.lastName = lastName;
				this.age = age;
			}

			var users = [];
			users.push(
				new User('John', 'Lennon', 80),
				new User('Paul', 'McCartney', 78),
				new User('George', 'Harrison', 53),
				new User('Ringo', 'Starr', 80)
			);

			function displayUsers() {
				let x = 0;
				for(const user of users) {
					const markup = `<tr>
						<td>${user.firstName}</td>
						<td>${user.lastName}</td>
						<td>${user.age}</td>
					</tr>`;

					$('#users').find('tbody').append(markup);
					$('#users').find('tbody').find('tr').last().attr('id', x);
					$('#users').find('tbody').find('tr').last().attr('align', 'center');
					$('#users').find('tbody').find('tr').last().css('background-color', x & 1 ? '#ffffff' : '#f0f0f0');
					$('#users').find('tbody').find('tr').last().find('td').get(0).id = x + '_0';
					$('#users').find('tbody').find('tr').last().find('td').get(1).id = x + '_1';
					$('#users').find('tbody').find('tr').last().find('td').get(2).id = x + '_2';

					x++;
				}
				$('#0_1').bind('click', clicked);
			}

			$(displayUsers);
		</script>
	</head>
	<body>
		<table id="users" width="50%" border="1">
			<thead>
				<tr style="background-color: #A0A0A0;">
					<th width="33%">First Name</th>
					<th width="33%">Last Name</th>
					<th width="33%">Age</th>
				</tr>
			</thead>
			<tbody>
			</tbody>
		</table>
	</body>
</html>